import request from '@/utils/request'
import data from "@/views/system/dict/data.vue";

// 根据规格查询价格明细
export function listAllPriceDetail(query) {
  return request({
    url: '/business/price/detail/listAll',
    method: 'get',
    params: query
  })
}

// 更新解决方案
export function updateSolution(data) {
  return request({
    url: '/business/price/detail/solution',
    method: 'put',
    data: data
  })
}

// 更新采购单价
export function updateBuyerPrice(data) {
  return request({
    url: '/business/price/detail/buyerPrice',
    method: 'put',
    data: data
  })
}

// 更新财务单价
export function updateTreasurerPrice(data) {
  return request({
    url: '/business/price/detail/treasurerPrice',
    method: 'put',
    data: data
  })
}

// 更新财务单价
export function listNonstandardStatistics(query) {
  return request({
    url: '/business/price/detail/nonstandard/list',
    method: 'get',
    params: query
  })
}



